;
;       ParseLin.sc
;
;       This routine parses a line input by the user. Arguments
;       passed to the routine are: the input line and the separators
;       to parse the line.
;
;       Called by:
;
        Proc Closed ParseLin ( InLine, Parse.Vars, Parsed )
           UseVars Element.no, Saved, Parse.Found
           
        Pass = 0                        ; initialize Pass
        
;  THE FOLLOWING LINE IS FOR TEST PURPOSES ONLY
        Print "\t",InLine,"\n"          ; ******  (RE)MOVE THIS LINE
        
        While True
        
           Pass = Pass + 1              ; inc Pass
           Match.Found = True

           If IsBlank ( Parse.Vars[Pass] )
              Then
                 QuitLoop               ; finished all separators
           EndIf
           
           Pat.String = ".."+Parse.Vars[Pass]+".." ; get separator
           
           While Match.Found            ; Innr Loop
           
               Match.Found = MATCH ( InLine, Pat.String, First, Rest )
               Saved = Inline
              
               If Match.Found
                  Then
                     Parse.Found = True  ; set return code
                     Saved = First       ; save copy of First
                     InLine = Rest       ; reset InLine for next iteration
                    
                     ParseLin ( First, Parse.Vars, Parsed )
                    
               EndIf
              
           EndWhile                             ; end of Innr Loop
           
        EndWhile                        ; end of main loop
        
        Parsed[Element.no] = Saved   ; smallest part, assigned it
        Element.no = Element.no + 1  ; inc element number
        
        Return Parse.Found
        
        EndProc
